com.h3c.of.lib.msg

## Enum PacketInReason

- java.lang.Object
- - java.lang.Enum<PacketInReason>
  - - com.h3c.of.lib.msg.PacketInReason

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<PacketInReason>

      public enum PacketInReason
      extends Enum<PacketInReason>
      implements OfpCodeBasedEnum

  Designates the reason for the packet-in message; Since 1.0.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION` Action explicitly output to controller; Since 1.0.
    `INVALID_TTL` Packet has invalid TTL; Since 1.2.
    `NO_MATCH` No matching flow (table-miss flow entry); Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static PacketInReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PacketInReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_MATCH

          public static final PacketInReason NO_MATCH

      No matching flow (table-miss flow entry); Since 1.0.

    - #### ACTION

          public static final PacketInReason ACTION

      Action explicitly output to controller; Since 1.0.

    - #### INVALID_TTL

          public static final PacketInReason INVALID_TTL

      Packet has invalid TTL; Since 1.2.

  - ### Method Detail

    - #### values

          public static PacketInReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PacketInReason c : PacketInReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PacketInReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.